- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# FbxVectorTemplate2< T > Class Template Reference

This reference page is linked to from the following overview topics: List of Python Fbx classes.

Search for all occurrences

## Detailed Description

### template<class T>
class FbxVectorTemplate2< T >

Examples:

  ImportScene/DisplayMaterial.cxx.

Definition at line 188 of file fbxtypes.h.

`#include <fbxtypes.h>`

Inheritance diagram for FbxVectorTemplate2< T >:
[legend]

List of all members.

## Public Member Functions
| FbxVectorTemplate2 ()
| FbxVectorTemplate2 (T pValue)
| FbxVectorTemplate2 (T pData0, T pData1)
| ~FbxVectorTemplate2 ()
T & | operator[] (int pIndex)
const T & | operator[] (int pIndex) const
FbxVectorTemplate2< T > & | operator= (const T &pValue)
FbxVectorTemplate2< T > & | operator= (const FbxVectorTemplate2< T > &pVector)
bool | operator== (const FbxVectorTemplate2< T > &pVector) const
bool | operator!= (const FbxVectorTemplate2< T > &pVector) const
T * | Buffer ()
const T * | Buffer () const
## Public Attributes
T | mData [2]

## Constructor & Destructor Documentation

FbxVectorTemplate2 | ( |  | ) | `[inline]`

Definition at line 191 of file fbxtypes.h.

    { *this = T(0); }

FbxVectorTemplate2 | ( | T | pValue | ) | `[inline, explicit]`

Definition at line 192 of file fbxtypes.h.

    { *this = pValue; }

FbxVectorTemplate2 | ( | T | pData0,
|  | T | pData1
| ) |  | `[inline]`

Definition at line 193 of file fbxtypes.h.

    { mData[0] = pData0; mData[1] = pData1; }

~FbxVectorTemplate2 | ( |  | ) | `[inline]`

Definition at line 194 of file fbxtypes.h.

    {}

## Member Function Documentation

T& operator[] | ( | int | pIndex | ) | `[inline]`

Definition at line 195 of file fbxtypes.h.

    { return mData[pIndex]; }

const T& operator[] | ( | int | pIndex | ) | const `[inline]`

Definition at line 196 of file fbxtypes.h.

    { return mData[pIndex]; }

FbxVectorTemplate2<T>& operator= | ( | const T & | pValue | ) | `[inline]`

Definition at line 197 of file fbxtypes.h.

    { mData[0] = pValue; mData[1] = pValue; return *this; }

FbxVectorTemplate2<T>& operator= | ( | const FbxVectorTemplate2< T > & | pVector | ) | `[inline]`

Definition at line 198 of file fbxtypes.h.

    { mData[0] = pVector.mData[0]; mData[1] = pVector.mData[1]; return *this; }

bool operator== | ( | const FbxVectorTemplate2< T > & | pVector | ) | const `[inline]`

Definition at line 199 of file fbxtypes.h.

    { return ((mData[0] == pVector.mData[0]) && (mData[1] == pVector.mData[1])); }

bool operator!= | ( | const FbxVectorTemplate2< T > & | pVector | ) | const `[inline]`

Definition at line 200 of file fbxtypes.h.

    { return !operator==( pVector ); }

T* Buffer | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 201 of file fbxtypes.h.

    { return mData; }

const T* Buffer | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 202 of file fbxtypes.h.

    { return mData; }

## Member Data Documentation

T mData[2]

Search for all occurrences

Definition at line 203 of file fbxtypes.h.

The documentation for this class was generated from the following file:

- fbxsdk/core/arch/fbxtypes.h